commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Claude Warren <cla...@xenei.com>
Subject Re: Modern dependencies among commons
Date Thu, 27 Jul 2017 11:31:26 GMT
Perhaps change dependency so that it specifies minimum but leaves maximum
open. (unless there is an upper limit)

On Wed, Jul 26, 2017 at 4:41 PM, Gary Gregory <garydgregory@gmail.com>
wrote:

> Go for it! :-)
>
> Gary
>
> On Jul 26, 2017 05:23, "Dave Brosius" <dbrosius@mebigfatguy.com> wrote:
>
> > Hi Folks,
> >
> >
> >     I'd like to see all of our common components uptake the 'latest'
> > versions of other commons components, to encourage their adoption. For
> > instance, commons-beanutils still uses commons-collections 3, and so
> when i
> > want to use commons-collections4 myself, i now have to have both in the
> > classpath. While there are no conflicts, it's just messy. People
> > auto-import the wrong version of collections classes into our code base,
> > for instance. If we could get updates to at least the right (major)
> version
> > of jars that would be great.
> >
> >
> > --dave
> >
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
> > For additional commands, e-mail: dev-help@commons.apache.org
> >
> >
>



-- 
I like: Like Like - The likeliest place on the web
<http://like-like.xenei.com>
LinkedIn: http://www.linkedin.com/in/claudewarren

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message